/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for VisualFieldStaticPerimetryTestStrategies
 */
public enum EnumCV_VisualFieldStaticPerimetryTestStrategies 
{
	//CID 4251 Visual Field Static Perimetry Test Strategies
	VISUAL_FIELD_SITA_STANDARD_TEST_STRATEGY_111815("111815"),
	VISUAL_FIELD_SITA_SWAP_TEST_STRATEGY_111816("111816"),
	VISUAL_FIELD_SITA_FAST_TEST_STRATEGY_111817("111817"),
	VISUAL_FIELD_FULL_THRESHOLD_TEST_STRATEGY_111818("111818"),
	VISUAL_FIELD_FASTPAC_TEST_STRATEGY_111819("111819"),
	VISUAL_FIELD_FULL_FROM_PRIOR_TEST_STRATEGY_111820("111820"),
	VISUAL_FIELD_OPTIMA_TEST_STRATEGY_111821("111821"),
	VISUAL_FIELD_TWO_ZONE_TEST_STRATEGY_111822("111822"),
	VISUAL_FIELD_THREE_ZONE_TEST_STRATEGY_111823("111823"),
	VISUAL_FIELD_QUANTIFY_DEFECTS_TEST_STRATEGY_111824("111824"),
	VISUAL_FIELD_TOP_TEST_STRATEGY_111825("111825"),
	VISUAL_FIELD_DYNAMIC_TEST_STRATEGY_111826("111826"),
	VISUAL_FIELD_NORMAL_TEST_STRATEGY_111827("111827"),
	VISUAL_FIELD_1_LT_TEST_STRATEGY_111828("111828"),
	VISUAL_FIELD_2_LT_TEST_STRATEGY_111829("111829"),
	VISUAL_FIELD_LVS_TEST_STRATEGY_111830("111830"),
	VISUAL_FIELD_GATE_TEST_STRATEGY_111831("111831"),
	VISUAL_FIELD_GATEI_TEST_STRATEGY_111832("111832"),
	VISUAL_FIELD_2LT_DYNAMIC_TEST_STRATEGY_111833("111833"),
	VISUAL_FIELD_2LT_NORMAL_TEST_STRATEGY_111834("111834"),
	VISUAL_FIELD_FAST_THRESHOLD_TEST_STRATEGY_111835("111835"),
	VISUAL_FIELD_CLIP_TEST_STRATEGY_111836("111836"),
	VISUAL_FIELD_CLASS_STRATEGY_111837("111837");

	private String value;
	
	EnumCV_VisualFieldStaticPerimetryTestStrategies(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
